%define upstream_name    IO-Socket-Multicast
%define upstream_version 1.12

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 27

Summary:        Send and receive multicast messages
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            https://metacpan.org/release/%{upstream_name}
Source:         https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel
BuildRequires:  perl(IO::Interface)


%description
IO::Socket::Multicast is designed to take the effort out of managing
some multicast network.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README  META.yml
%{perl_vendorarch}/IO
%{perl_vendorarch}/auto/IO
%{_mandir}/man*/*


%changelog
* Tue Nov 28 2023 tv <tv> 1.120.0-27.mga10
+ Revision: 2010469
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.120.0-26.mga9
+ Revision: 1862013
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.120.0-25.mga9
+ Revision: 1796370
- Mageia 9 Mass Rebuild

* Tue May 25 2021 tmb <tmb> 1.120.0-24.mga9
+ Revision: 1728012
- rebuild for perl 5.34
+ umeabot <umeabot>
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.120.0-22.mga8
+ Revision: 1594820
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.120.0-21.mga8
+ Revision: 1530406
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.120.0-20.mga8
+ Revision: 1433713
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.120.0-19.mga7
+ Revision: 1293196
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 1.120.0-18.mga7
+ Revision: 1250740
- rebuild for perl-5.28

* Tue Oct 03 2017 tv <tv> 1.120.0-17.mga7
+ Revision: 1165017
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.120.0-16.mga7
+ Revision: 1149834
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1.120.0-15.mga7
+ Revision: 1128251
- modernize spec
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-14.mga6
+ Revision: 1028780
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.120.0-13.mga6
+ Revision: 957546
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.120.0-12.mga6
+ Revision: 843214
- Rebuild for perl 5.22

* Sat Oct 18 2014 umeabot <umeabot> 1.120.0-11.mga5
+ Revision: 788400
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-10.mga5
+ Revision: 748565
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-9.mga5
+ Revision: 685079
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.120.0-8.mga5
+ Revision: 632274
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.120.0-7.mga4
+ Revision: 524588
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.120.0-6.mga4
+ Revision: 431232
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-5.mga3
+ Revision: 368542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.120.0-4.mga3
+ Revision: 250786
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.120.0-3.mga2
+ Revision: 104707
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.120.0-2.mga1
+ Revision: 32099
- mageia rebuild
- imported package perl-IO-Socket-Multicast

